Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.mock
Class MockFilter

    java.lang.Object
      org.eclipse.gemini.blueprint.mock.MockFilter

All Implemented Interfaces:
  org.osgi.framework.Filter

    public class MockFilter

extends Object
implements org.osgi.framework.Filter

Filter mock.

Just a no-op interface implementation.

Author:
  Costin Leau

Constructor Summary
`MockFilter()` Constructs a new `MockFilter` instance.
`MockFilter(String filter)` Constructs a new `MockFilter` instance.

Method Summary
`boolean` | `match(Dictionary dictionary)`
`boolean` | `match(org.osgi.framework.ServiceReference reference)`
`boolean` | `matchCase(Dictionary dictionary)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.osgi.framework.Filter
`equals, hashCode`

Constructor Detail

### MockFilter

    public MockFilter()

  Constructs a new `MockFilter` instance.

### MockFilter

    public MockFilter(String filter)

  Constructs a new `MockFilter` instance.

  Parameters:
    `filter` - OSGi filter

Method Detail

### match

    public boolean match(org.osgi.framework.ServiceReference reference)

  Specified by:
    `match` in interface `org.osgi.framework.Filter`

### match

    public boolean match(Dictionary dictionary)

  Specified by:
    `match` in interface `org.osgi.framework.Filter`

### matchCase

    public boolean matchCase(Dictionary dictionary)

  Specified by:
    `matchCase` in interface `org.osgi.framework.Filter`

### toString

    public String toString()

  Specified by:
    `toString` in interface `org.osgi.framework.Filter`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.